﻿using System;
using System.Drawing;
using System.Windows.Forms;

namespace TestZoom
{
    public partial class MainForm : Form
    {
        /// <summary>
        /// Verbindung zur Kamera
        /// </summary>
        CameraConnection Connection;
        
        /// <summary>
        /// der Live-Dialog
        /// </summary>
        DlgCameraLive dlg;

        public MainForm()
        {
            this.InitializeComponent();
            this.Connection = new CameraConnection();
        }

        private void btnStart_Click(object sender, EventArgs e)
        {
            if (this.dlg == null || this.dlg.IsDisposed)
            {
                this.dlg = new DlgCameraLive(this.Connection);
            }

            if (!this.dlg.Visible)
            {
                this.dlg.StartPosition = FormStartPosition.Manual;
                this.dlg.Location = new Point(350, 50);
                this.dlg.RunLive(this.cbLive.Checked);
                this.dlg.Show(this);
            }
        }

        private void cbLive_CheckedChanged(object sender, EventArgs e)
        {
            if (this.dlg != null && !this.dlg.IsDisposed)
            {
                this.dlg.RunLive(this.cbLive.Checked);
            }
        }
    }
}
